Extending Qt Creator Manual | Dialect

Extending Qt Creator Manual 4.5.2

# Dialect Class

(QmlJS::Dialect)

- List of all members, including inherited members

## Public Types

enum | Enum { NoLanguage, JavaScript, Json, Qml, ..., AnyLanguage }

## Public Functions

| Dialect(Enum dialect = NoLanguage)
QList<Dialect> | companionLanguages() const
Enum | dialect() const
bool | isFullySupportedLanguage() const
bool | isQmlLikeLanguage() const
bool | isQmlLikeOrJsLanguage() const
void | mergeLanguage(const Dialect &l2)
bool | restrictLanguage(const Dialect &l2)
QString | toString() const
bool | operator!=(const Dialect &o) const
bool | operator<(const Dialect &o) const
bool | operator==(const Dialect &o) const

## Static Public Members

Dialect | mergeLanguages(const Dialect &l1, const Dialect &l2)

## Member Type Documentation

### enum Dialect::Enum

## Member Function Documentation

### Dialect::Dialect(Enum dialect = NoLanguage)

Default constructs an instance of Dialect.

### QList<Dialect> Dialect::companionLanguages() const

### Enum Dialect::dialect() const

### bool Dialect::isFullySupportedLanguage() const

### bool Dialect::isQmlLikeLanguage() const

### bool Dialect::isQmlLikeOrJsLanguage() const

### void Dialect::mergeLanguage(const Dialect &l2)

### `[static]` Dialect Dialect::mergeLanguages(const Dialect &l1, const Dialect &l2)

### bool Dialect::restrictLanguage(const Dialect &l2)

### QString Dialect::toString() const

### bool Dialect::operator!=(const Dialect &o) const

### bool Dialect::operator<(const Dialect &o) const

### bool Dialect::operator==(const Dialect &o) const